SDL_HINT_MOUSE_RELATIVE_MODE_CENTER(3)

NAME
SDL_HINT_MOUSE_RELATIVE_MODE_CENTER - A variable controlling whether relative mouse mode constrains the mouse to the center of the window.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_MOUSE_RELATIVE_MODE_CENTER SDL_MOUSE_RELATIVE_MODE_CENTER"

DESCRIPTION
Constraining to the center of the window works better for FPS games and when the application is running over RDP. Constraining to the whole window works better for 2D games and increases the chance that the mouse will be in the correct position when using high DPI mice.

The variable can be set to the following values:

• "0": Relative mouse mode constrains the mouse to the window.

• "1": Relative mouse mode constrains the mouse to the center of the
  window. (default)

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.